#!/bin/bash

# Installing Vim
echo -e "${GREEN}Setting up Vim...${DEFAULT}"
check_installation "sudo pacman -S --noconfirm --needed" "vim"
mkdir -p $HOME/.vim/{autoload,backup,colors,plugged}
check_installation "yay -S --noconfirm --needed" "code-minimap"

# Installing NeoVim
echo -e "${GREEN}Setting up NeoVim...${DEFAULT}"
check_installation "sudo pacman -S --noconfirm --needed" "neovim wl-clipboard"

# Installing Kitty
echo -e "${GREEN}Setting up Kitty...${DEFAULT}"
check_installation "sudo pacman -S --noconfirm --needed" "kitty"
